package com.kingdee.eas.custom.integration.weaver.exception;

import com.kingdee.eas.custom.integration.base.exception.ErrorCode;
import com.kingdee.eas.custom.integration.base.exception.IntegrationException;

public class WeaverIntegrationException extends IntegrationException {

    public WeaverIntegrationException(ErrorCode errorCode) {
        super(errorCode, errorCode.getDefaultMessage(), null);
    }

    public WeaverIntegrationException(ErrorCode errorCode, String msg) {
        super(errorCode, msg, null);
    }

    public WeaverIntegrationException(ErrorCode errorCode, String customMessage, Throwable cause) {
        super(errorCode, customMessage, cause);
    }
}
